## telegram-desktop-3.1.1-1.src.tar.gz

=== Telegram/ThirdParty/QR/cpp/Makefile ===
# 
# Makefile for QR Code generator (C++)
# 
# Copyright (c) Project Nayuki. (MIT License)
# https://www.nayuki.io/page/qr-code-generator-library
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
# the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
# - The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
# - The Software is provided "as is", without warranty of any kind, express or
#   implied, including but not limited to the warranties of merchantability,
#   fitness for a particular purpose and noninfringement. In no event shall the
#   authors or copyright holders be liable for any claim, damages or other
#   liability, whether in an action of contract, tort or otherwise, arising from,
#   out of or in connection with the Software or the use or other dealings in the
#   Software.
# 


# ---- Configuration options ----

# External/implicit variables:
# - CXX: The C++ compiler, such as g++ or clang++.
# - CXXFLAGS: Any extra user-specified compiler flags (can be blank).

# Recommended compiler flags:
CXXFLAGS += -std=c++11 -O

# Extra flags for diagnostics:
# CXXFLAGS += -g -Wall -Wextra -Wpedantic -Wconversion -Wsign-conversion -fsanitize=undefined,address


# ---- Controlling make ----

# Clear default suffix rules
.SUFFIXES:

# Don't delete object files
.SECONDARY:

# Stuff concerning goals
.DEFAULT_GOAL = all
.PHONY: all clean


# ---- Targets to build ----

LIB = qrcodegen
LIBFILE = lib$(LIB).a
LIBOBJ = BitBuffer.o QrCode.o QrSegment.o
MAINS = QrCodeGeneratorDemo QrCodeGeneratorWorker

# Build all binaries
all: $(LIBFILE) $(MAINS)

# Delete build output
clean:
	rm -f -- $(LIBOBJ) $(LIBFILE) $(MAINS:=.o) $(MAINS)
	rm -rf .deps

# Executable files
%: %.o $(LIBFILE)
	$(CXX) $(CXXFLAGS) -o $@ $< -L . -l $(LIB)

# The library
$(LIBFILE): $(LIBOBJ)
	$(AR) -crs $@ -- $^

# Object files
%.o: %.cpp .deps/timestamp
	$(CXX) $(CXXFLAGS) -c -o $@ -MMD -MF .deps/$*.d $<

# Have a place to store header dependencies automatically generated by compiler
.deps/timestamp:
	mkdir -p .deps
	touch .deps/timestamp

# Make use of said dependencies if available
-include .deps/*.d

=== Telegram/lib_waylandshells/waylandshells/xdg-shell/CMakeLists.txt ===
# This file is part of Desktop App Toolkit,
# a set of libraries for developing nice desktop applications.
#
# For license and copyright information please follow this link:
# https://github.com/desktop-app/legal/blob/master/LEGAL

find_package(ECM REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(QtWaylandScanner REQUIRED)

add_library(lib_waylandshells_xdg_shell STATIC)
add_library(desktop-app::lib_waylandshells::xdg_shell ALIAS lib_waylandshells_xdg_shell)
init_target(lib_waylandshells_xdg_shell)

get_filename_component(src_loc . REALPATH)
set_target_properties(lib_waylandshells_xdg_shell PROPERTIES AUTOMOC ON)

ecm_add_qtwayland_client_protocol(xdg_shell_protocol_srcs
    PROTOCOL ${src_loc}/xdg-shell.xml
    BASENAME xdg-shell
)

ecm_add_qtwayland_client_protocol(xdg_decoration_protocol_srcs
    PROTOCOL ${src_loc}/xdg-decoration-unstable-v1.xml
    BASENAME xdg-decoration-unstable-v1
)

nice_target_sources(lib_waylandshells_xdg_shell ${src_loc}
PRIVATE
    main.cpp
    qwaylandxdgdecorationv1.cpp
    qwaylandxdgdecorationv1_p.h
    qwaylandxdgshell.cpp
    qwaylandxdgshell_p.h
    qwaylandxdgshellintegration.cpp
    qwaylandxdgshellintegration_p.h
)

target_sources(lib_waylandshells_xdg_shell
PRIVATE
    ${xdg_shell_protocol_srcs}
    ${xdg_decoration_protocol_srcs}
)

target_include_directories(lib_waylandshells_xdg_shell
PRIVATE
    ${src_loc}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_compile_options(lib_waylandshells_xdg_shell
PRIVATE
    -UQT_NO_KEYWORDS
)

target_compile_definitions(lib_waylandshells_xdg_shell
PRIVATE
    QT_STATICPLUGIN
)

target_link_libraries(lib_waylandshells_xdg_shell
PRIVATE
    desktop-app::external_qt
)

if (DESKTOP_APP_USE_PACKAGED)
    find_package(Wayland COMPONENTS Client REQUIRED)
    target_link_libraries(lib_waylandshells_xdg_shell
    PRIVATE
        Wayland::Client
    )
endif()

=== Telegram/ThirdParty/libdbusmenu-qt/debian/changelog ===
libdbusmenu-qt (0.9.3+16.04.20160218-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Ported tests to Qt5.

 -- Pete Woods <ci-train-bot@canonical.com>  Thu, 18 Feb 2016 10:14:02 +0000

libdbusmenu-qt (0.9.3+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ David Edmundson ]
  * fix leaks
  * fix leaks

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 23:13:02 +0000

libdbusmenu-qt (0.9.3+14.10.20140619-0ubuntu1) utopic; urgency=low

  [ Aurélien Gâteau ]
  * Fix build with Clang
  * With this change, users of dbusmenu-qt no longer need to call
    include_directories(${dbusmenu-qt5_INCLUDE_DIRS}). Simply adding
    dbusmenu-qt5 to the target_link_libraries() call takes care of
    defining the include directory. This requires CMake 2.8.11, so I
    bumped the minimum version numbers accordingly.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Jun 2014 09:07:18 +0000

libdbusmenu-qt (0.9.3+14.04.20140314-0ubuntu1) trusty; urgency=medium

  [ Pete Woods ]
  * Add importer parameter to allow control over DBus behavior.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Mar 2014 16:41:54 +0000

libdbusmenu-qt (0.9.2+14.04.20140305-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 09:29:14 +0000

libdbusmenu-qt (0.9.2+14.04.20140218.2-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Remove busy watcher (LP: #1280372)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 14:33:02 +0000

libdbusmenu-qt (0.9.2+14.04.20140217.1-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Fix compile warning when building with -Wpedantic (extra semicolon).

  [ Ted Gould ]
  * Flushing trunk with a release

  [ Timo Jyrinki ]
  * Drop reference to libqt5core5 which will get renamed. (LP:
    #1271058). (LP: #1271058)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 18:03:31 +0000

libdbusmenu-qt (0.9.2+14.04.20131209-0ubuntu1) trusty; urgency=low

  [ Marcus Tomlinson ]
  * When adding a new submenu action, refresh() that action to ensure
    full menu hierarchy is built.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 253

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Dec 2013 02:29:59 +0000

libdbusmenu-qt (0.9.2+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Aurélien Gâteau ]
  * This change install CMake config files for dbusmenu-qt and dbusmenu-
    qt5. This makes it easy for other projects to use the library with
    find(dbusmenu-qt) or find(dbusmenu-qt5) without having to ship a
    FindDBusMenuQt.cmake file. (More about this topic here:
    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging ). Test programs
    available here: http://agateau.com/tmp/dmqt-samples.tar.bz2.

  [ Marcus Tomlinson ]
  * Destructors of classes intended to be base classes updated to
    virtual.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 251

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:56:49 +0000

libdbusmenu-qt (0.9.2+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Joe Yasi ]
  * This fixes bug #1035755, [firefox] Extension causes context/drop
    down menus to disappear. The patch uses the correct X11 event
    timestamp instead of the system time. (LP: #1035755)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 248

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 10:07:36 +0000

libdbusmenu-qt (0.9.2+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Fix the pkg-config file for the libdbusmenu-qt5 case, as the
    includedir was missing the correct QT_SUFFIX.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 246

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 02:03:12 +0000

libdbusmenu-qt (0.9.2daily13.05.02-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control, debian/rules:
    - Modifications related to compliance with our packaging standards

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 244

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 22:59:30 +0000

libdbusmenu-qt (0.9.2daily13.03.28-0ubuntu1) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Add inline packaging metadata.
  * debian/control, 
    debian/libdbusmenu-qt5.install,
    debian/libdbusmenu-qt5-dev.install,
    debian/libdbusmenu-qt5-doc.install:
    - Add the -qt5 package versions of all libdbusmenu packages
  * debian/rules:
    - Enable a double build - first build a Qt4 version of libdbusmenu for
      libdbusmenu-qt2 and then a Qt5 version for libdbusmenu-qt5

  [ Mathieu Trudel-Lapierre ]
  * debian/copyright: fix copyright stanza for LGPL 2.
  * debian/control: bump debhelper Build-Depends to 9.
  * debian/source.lintian-overrides: drop the override.
  * debian/watch: dropped; no longer needed with inline packaging.
  * debian/control:
    - bump Standards-Version to 3.9.4. 
    - add Vcs-Bzr/Vcs-Browser.
    - add comments for developers.
  * Automatic snapshot from revision 240 (bootstrap). (LP: #1126205)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 241

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Mar 2013 20:27:01 +0000

libdbusmenu-qt (0.9.2-0ubuntu4) raring; urgency=low

  * Mark two library symbols as optional, fixing build failure with GCC 4.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2013 10:02:51 +0100

libdbusmenu-qt (0.9.2-0ubuntu3) quantal; urgency=low

  * Update symbols file again for powerpc and armel to fix FTBFS on those
    archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Sep 2012 11:56:51 -0400

libdbusmenu-qt (0.9.2-0ubuntu2) quantal; urgency=low

  * Update symbols file to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Sep 2012 09:58:44 -0400



=== Telegram/ThirdParty/nimf/debian/changelog ===
nimf (2019.08.14-0~201908141206~hamonikr14.1) me; urgency=low

  * Rebuild for HamoniKR.

 -- HamoniKR <pkg@hamonikr.org>  Thu, 24 Oct 2019 11:46:02 +0900

nimf (2019.08.14-0~201908141206~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 12:20:57 +0000

nimf (2019.08.14) stable; urgency=medium

  * Updated README
  * Fixed requirements
  * Use gtk-doc >= 1.26 to avoid automake warnings

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 19:55:40 +0900

nimf (2019.08.05) stable; urgency=medium

  * Replaced specs/* with nimf.spec
  * IMdkit: Code cleanup (#106)
  * Imported some code from the RHEL code review

 -- Hodong Kim <cogniti@gmail.com>  Mon, 05 Aug 2019 22:19:55 +0900

nimf (2019.07.27) stable; urgency=medium

  * Fixed backward compatibility for OpenSUSE Leap
  * Fixed freezing (#152)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 27 Jul 2019 18:50:02 +0900

nimf (2019.07.26) stable; urgency=medium

  * Fixed a potential bug (#152)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 26 Jul 2019 23:06:01 +0900

nimf (2019.07.24) stable; urgency=medium

  * Added NIMF_KEY_Kanji, NIMF_KEY_Kana_Shift (#283)
  * nimf-anthy: Fixed the candidate window

 -- Hodong Kim <cogniti@gmail.com>  Wed, 24 Jul 2019 16:07:20 +0900

nimf (2019.07.21) stable; urgency=medium

  * nimf-settings: Fixd segmentation fault (#277 #280 #282)
  * IMdkit: Code cleanup (#106)
  * Updated installation documentation (#270 #281)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Jul 2019 23:30:08 +0900

nimf (2019.07.16) stable; urgency=medium

  * nimf-anthy: Code cleanup
  * nimf-anthy: Fixed space
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 16 Jul 2019 12:25:08 +0900

nimf (2019.07.10) stable; urgency=medium

  * Check schema and key for GNOME (#277)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 10 Jul 2019 23:09:46 +0900

nimf (2019.07.08) stable; urgency=medium

  * Added --disable-nimf-m17n option (#270)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 08 Jul 2019 23:28:52 +0900

nimf (2019.07.03) stable; urgency=medium

  * Improved nimf-settings
  * Added an option: Setup environment variables (#87)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 03 Jul 2019 19:05:33 +0900

nimf (2019.06.23) stable; urgency=medium

  * Fixed backward compatibility for m17n-db (#273)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 23 Jun 2019 21:42:16 +0900

nimf (2019.06.22) stable; urgency=medium

  * Fixed preedit window location
  * Fixed nimf-xim not starting in the Xwayland environment (#272)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 22 Jun 2019 19:10:34 +0900

nimf (2019.06.21) stable; urgency=medium

  * Redesigned shortcuts (closes #272)
  * im-nimf-qt5: Fixed lt major version

 -- Hodong Kim <cogniti@gmail.com>  Fri, 21 Jun 2019 10:05:24 +0900

nimf (2019.06.07) stable; urgency=medium

  * Updated some docs
  * Added signals: "engine-loaded", "engine-unloaded"
  * Code cleanup
  * Check if GNOME is running
  * Added missing org.nimf.settings.gschema.xml

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Jun 2019 06:57:33 +0900

nimf (2019.06.06) stable; urgency=medium

  * Fixed how to apply xkb options (#269)
  * Fixed #267
  * nimf-rime: Fixed preedit state

 -- Hodong Kim <cogniti@gmail.com>  Thu, 06 Jun 2019 00:02:01 +0900

nimf (2019.06.05) stable; urgency=medium

  * nimf-rime: Fixed preedit state
  * Fixed how to apply xkb options (closes #269)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 05 Jun 2019 10:49:15 +0900

nimf (2019.06.03) stable; urgency=medium

  * Updated translations
  * Load module dynamically

 -- Hodong Kim <cogniti@gmail.com>  Mon, 03 Jun 2019 01:46:30 +0900

nimf (2019.05.29) stable; urgency=medium

  * nimf-anthy: Fixed a potential bug
  * nimf-settings: Changed the XKB Options UI position

 -- Hodong Kim <cogniti@gmail.com>  Wed, 29 May 2019 08:47:12 +0900

nimf (2019.05.17) stable; urgency=medium

  * Added dependencies on m17n (>= 1.8.0)
  * Removed nimf-m17n-en

 -- Hodong Kim <cogniti@gmail.com>  Fri, 17 May 2019 23:46:58 +0900

nimf (2019.05.15) stable; urgency=medium

  * Redesign nimf-m17n
  * nimf-settings: Fixed potential bugs
  * "Renamed "active" to "active-engine"
  * Fixed possible faults

 -- Hodong Kim <cogniti@gmail.com>  Wed, 15 May 2019 00:59:16 +0900

nimf (2019.05.10) stable; urgency=medium

  * Fixed possible faults

 -- Hodong Kim <cogniti@gmail.com>  Fri, 10 May 2019 18:27:45 +0900

nimf (2019.05.09) stable; urgency=medium

  * nimf-indicator: Fixed possible faults
  * nimf-settings: Sort by language
  * nimf-server: Sort by language

 -- Hodong Kim <cogniti@gmail.com>  Thu, 09 May 2019 20:34:37 +0900

nimf (2019.05.08) stable; urgency=medium

  * nimf-settings: Fixed invalid type
  * nimf-settings: Sort by language

 -- Hodong Kim <cogniti@gmail.com>  Wed, 08 May 2019 21:05:24 +0900

nimf (2019.04.21) stable; urgency=medium

  * Fixed debian/control

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Apr 2019 00:34:57 +0900

nimf (2019.04.20) stable; urgency=medium

  * Updated descriptions
  * Fixed reference address

 -- Hodong Kim <cogniti@gmail.com>  Sat, 20 Apr 2019 14:25:27 +0900

nimf (2019.03.31) stable; urgency=medium

  * Fixed website address
  * Fixed the duplicate about dialog

 -- Hodong Kim <cogniti@gmail.com>  Sun, 31 Mar 2019 01:46:52 +0900

nimf (2019.03.27) stable; urgency=medium

  * Added nimf reference manual (closes #266)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 27 Mar 2019 00:34:01 +0900

nimf (2019.03.17) stable; urgency=medium

  * Fixed how to display the preeditable

 -- Hodong Kim <cogniti@gmail.com>  Sun, 17 Mar 2019 05:15:55 +0900

nimf (2019.03.15) stable; urgency=medium

  * nimf-xim: Fixed input styles (closes #150)
  * nimf-xim: Fixed a segmentation fault

 -- Hodong Kim <cogniti@gmail.com>  Fri, 15 Mar 2019 22:46:05 +0900

nimf (2019.02.25) stable; urgency=medium

  * Delay the launch of the nimf-indicator until the watcher is ready


=== PKGBUILD ===
# Maintainer: Sven-Hendrik Haase <svenstaro@gmail.com>
# Contributor: hexchain <i@hexchain.org>
pkgname=telegram-desktop
pkgver=3.1.1
pkgrel=1
pkgdesc='Official Telegram Desktop client'
arch=('x86_64')
url="https://desktop.telegram.org/"
license=('GPL3')
depends=('hunspell' 'ffmpeg' 'hicolor-icon-theme' 'lz4' 'minizip' 'openal' 'ttf-opensans'
         'qt5-imageformats' 'qt5-svg' 'xxhash' 'libdbusmenu-qt5' 'kwayland' 'glibmm'
         'rnnoise' 'pipewire' 'libxtst' 'libxrandr' 'jemalloc' 'libtg_owt')
makedepends=('cmake' 'git' 'ninja' 'python' 'range-v3' 'tl-expected' 'microsoft-gsl'
             'extra-cmake-modules' 'gtk3' 'webkit2gtk')
optdepends=('gtk3: GTK environment integration'
            'webkit2gtk: embedded browser features'
            'xdg-desktop-portal: desktop integration')
source=("https://github.com/telegramdesktop/tdesktop/releases/download/v${pkgver}/tdesktop-${pkgver}-full.tar.gz")
sha512sums=('68b30792270b9f3cd0df3388243818c987be970545685dd4e5793d0ff0df6523c9298173da61f8a4951bae481ca6fa04f0813f987a2fec7a336593aa6c145c9e')

build() {
    cd tdesktop-$pkgver-full

    # Turns out we're allowed to use the official API key that telegram uses for their snap builds:
    # https://github.com/telegramdesktop/tdesktop/blob/8fab9167beb2407c1153930ed03a4badd0c2b59f/snap/snapcraft.yaml#L87-L88
    # Thanks @primeos!
    cmake \
        -B build \
        -G Ninja \
        -DCMAKE_INSTALL_PREFIX="/usr" \
        -DCMAKE_BUILD_TYPE=Release \
        -DTDESKTOP_API_ID=611335 \
        -DTDESKTOP_API_HASH=d524b414d21f4d37f08684c1df41ac9c
    ninja -C build
}

package() {
    cd tdesktop-$pkgver-full
    DESTDIR=$pkgdir ninja -C build install
}

=== Telegram/ThirdParty/nimf/archlinux/PKGBUILD ===
#
# PKGBUILD
# This file is part of Nimf.
#
# Unlike other files in the Nimf project,
# this PKGBUILD file is in the public domain.

pkgname=nimf
pkgver=1.1
pkgrel=2
pkgdesc="Nimf is an input method framework."
arch=('any')
url="https://github.com/hamonikr/nimf"
license=('LGPL3')
makedepends=('binutils' 'autoconf' 'automake' 'gcc' 'make' 'glib2' 'intltool'
             'gtk3' 'gtk2' 'qt4' 'qt5-base' 'libappindicator-gtk3' 'librsvg'
             'noto-fonts-cjk' 'libhangul' 'anthy' 'librime' 'libxkbcommon'
             'wayland' 'libxklavier' 'm17n-lib' 'm17n-db' 'gtk-doc')
depends=('glib2' 'gtk3' 'gtk2' 'qt4' 'qt5-base' 'libappindicator-gtk3'
         'libhangul' 'anthy' 'librime' 'libxkbcommon' 'wayland' 'libxklavier'
         'm17n-lib' 'm17n-db')
optdepends=('brise: Rime schema repository'
            'noto-fonts-cjk: Google Noto CJK fonts')
source=("https://github.com/hamonikr/nimf/archive/${pkgver}.tar.gz")
md5sums=('d1141369686a3dd2924474f70525a92f')

pkgver() {
	cd "$srcdir/nimf-$pkgver"
	grep AC_INIT configure.ac | grep -Po '\d{4}.\d{2}.\d{2}'
}

build() {
	cd "$srcdir/nimf-$pkgver"
	./autogen.sh --prefix=/usr --enable-gtk-doc
	make -j 4
}

package() {
	cd "$srcdir/nimf-$pkgver"
	make DESTDIR="${pkgdir}/" install
}

=== Telegram/ThirdParty/nimf/debian/control ===
Source: nimf
Section: utils
Priority: optional
Maintainer: Hodong Kim <cogniti@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev (>= 2.54),
               pkg-config,
               intltool (>= 0.50.1),
               libgtk-3-dev,
               libgtk-3-bin,
               libgtk2.0-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               libappindicator3-dev,
               librsvg2-bin,
               fonts-noto-cjk,
               libhangul-dev,
               libanthy-dev,
               anthy,
               librime-dev (>= 1.2.9),
               libxkbcommon-dev (>= 0.5.0),
               libwayland-dev,
               wayland-protocols,
               libxklavier-dev,
               libm17n-dev (>= 1.7.0),
               m17n-db (>= 1.7.0),
               gtk-doc-tools (>= 1.26)
Standards-Version: 3.9.8
Homepage: https://gitlab.com/nimf-i18n/nimf

Package: nimf
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libnimf1 (= ${binary:Version})
Recommends: im-config
Suggests: fonts-noto-cjk | nimf-anthy | nimf-libhangul | nimf-m17n | nimf-rime
Description: Input Method Framework
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains the essentials for Nimf.

Package: libnimf1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Input Method Framework (shared library)
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains the shared library.

Package: nimf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libnimf1 (= ${binary:Version}),
         libglib2.0-dev
Description: Input Method Framework (development file)
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package contains development files.

Package: nimf-anthy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version}), anthy
Suggests: fonts-noto-cjk
Description: Japanese input module for Nimf, based on anthy
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Japanese input module based on anthy.

Package: nimf-libhangul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version})
Suggests: fonts-noto-cjk
Description: Korean input module for Nimf, based on libhangul
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Korean input module based on libhangul.

Package: nimf-m17n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libm17n-0 (>= 1.7.0), m17n-db (>= 1.7.0), nimf (= ${binary:Version})
Suggests: fonts-noto-cjk
Description: Multilingual input module for Nimf, based on m17n
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides multilingual input modules based on m17n.

Package: nimf-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nimf (= ${binary:Version})
Recommends: librime-data
Suggests: fonts-noto-cjk
Description: Chinese input module for Nimf, based on rime
 Nimf is a lightweight, fast and extensible input method framework.
 .
 This package provides a Chinese input module based on rime.

Package: qtbase-abi-5-9-5-dummy
Architecture: any
Depends: qtbase-abi-5-11-3
Provides: qtbase-abi-5-9-5
Description: Dummy package for Debian Buster
 This package provides a dummy qtbase-abi-5-9-5 for Debian Buster.
